Package org.eigenbase.xom

# Class MetaDef.StringElement

java.lang.Object
org.eigenbase.xom.ElementDef
org.eigenbase.xom.MetaDef.StringElement

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MetaDef.Definition`, `NodeDef`

Enclosing class:
  `MetaDef`

public static class MetaDef.StringElement extends ElementDef implements MetaDef.Definition
A StringElement is a simple type of element which has no attributes and whose content is a single String (usually represented as a CDATA section). StringElements are used when raw text must be included in a model, such as raw Java code, or SQL statements, or HTML documentation.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`DOMWrapper`
`_def`
`String`
`doc`
Doc tags allow documentation to be added to any definition.
`String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`StringElement()`
`StringElement(DOMWrapper _def)`

## Method Summary

Modifier and Type
Method
Description
`void`
`display(PrintWriter _out, int _indent)`
Outputs this node to any PrintWriter, in a formatted fashion with automatic indenting.
`boolean`
`displayDiff(ElementDef _other, PrintWriter _out, int _indent)`
The displayDiff function compares this element definition against another, compiling a message containing all diffs.
`void`
`displayXML(XMLOutput _out, int _indent)`
Outputs this element definition in XML to any XMLOutput.
`String`
`getName()`
Returns the name of this node's tag.

### Methods inherited from class org.eigenbase.xom.ElementDef

`addChild, addChildren, clone, constructElement, constructElement, deepCopy, diff, displayAttribute, displayAttributeDiff, displayElement, displayElementArray, displayElementArrayDiff, displayElementDiff, displayIndent, displayString, displayStringArray, displayStringArrayDiff, displayStringDiff, displayXML, displayXMLElement, displayXMLElementArray, displayXMLString, displayXMLStringArray, equals, getChildren, getElementChildren, getElementClass, getLocation, getMixedChildren, getMixedChildren_new, getText, getType, getWrapper, hashCode, toCompactXML, toString, toXML, verifyEqual`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eigenbase.xom.NodeDef

`getChildren, getLocation, getText, getType, getWrapper`

## Field Details

### type

public String type

### _def

public DOMWrapper _def

### doc

public String doc
Doc tags allow documentation to be added to any definition. The documentation will automatically appear in all physical forms of this model, including dtds, java classes, and the xsl transformation.

## Constructor Details

### StringElement

public StringElement()

### StringElement

public StringElement(DOMWrapper _def) throws XOMException

Throws:
  `XOMException`

## Method Details

### getName

public String getName()
Description copied from interface: `NodeDef`
Returns the name of this node's tag.

Specified by:
  `getName` in interface `NodeDef`
Overrides:
  `getName` in class `ElementDef`

### display

public void display(PrintWriter _out, int _indent)
Description copied from interface: `NodeDef`
Outputs this node to any PrintWriter, in a formatted fashion with automatic indenting.

Specified by:
  `display` in interface `NodeDef`
Parameters:
  `_out` - the PrintWriter to which to write this NodeDef.
  `_indent` - the indentation level for the printout.

### displayXML

public void displayXML(XMLOutput _out, int _indent)
Description copied from interface: `NodeDef`
Outputs this element definition in XML to any XMLOutput.

Specified by:
  `displayXML` in interface `NodeDef`
Overrides:
  `displayXML` in class `ElementDef`
Parameters:
  `_out` - the XMLOutput class to display the XML

### displayDiff

public boolean displayDiff(ElementDef _other, PrintWriter _out, int _indent)
Description copied from class: `ElementDef`
The displayDiff function compares this element definition against another, compiling a message containing all diffs. It is used internally by the equals(), diff(), and verifyEquals() functions.

Overrides:
  `displayDiff` in class `ElementDef`
Parameters:
  `_other` - the ElementDef to which to compare this element.
  `_out` - a PrintWriter to which to display any discovered differences, or null if just doing an equality check (and no diff report is needed).
  `_indent` - the current indentation level (used for nice display of diffs).
Returns:
  true if this and other match exactly, false if not.